AA-INCMDLINE(1)

NAME
aa-incmdline - Helper to parse kernel command line

SYNOPSIS
aa-incmdline [-D] [-q] [-f FILE] [-r] [-s] NAME

OPTIONS

-D, --double-output
    Enable double-output mode. Instead of using stdout for regular output, and stderr for warnings and errors, everything is sent both to stdout and stderr. This is intended to redirect stderr to a log file, so full output can be both shown on console and logged.

-f, --file FILE
    Read command line from FILE instead of /proc/cmdline

-h, --help
    Show help screen and exit.

-q, --quiet
    Do not print value (if any) on stdout

-r, --required
    Ignore argument (i.e. exit 3) if no value was specified.

-s, --safe[=C]
    Ignore argument (i.e. exit 3) if it contains C (defaults to /).

-V, --version
    Show version information and exit.

DESCRIPTION
aa-incmdline(1) is a small helper to parse arguments from the kernel command line. It will read /proc/cmdline (or FILE specified with --file) and look for an argument NAME. If reading the file fails, it exits 2. If no NAME was specified, it exits 1.

If there's no such argument on the command line, or --safe was used and the argument's value contains C, or there's no value and --required was used, it exits 3; Else it exits 0.

If the argument had a value specified it will be printed on stdout unless --quiet was used.

BUGS
They're probably crawling somewhere in there... if you happen to catch one, (or more) report it and I'll do my best to squash it.

REPOSITORY
You can find the latest source code of anopa as well as report bugs and/or suggest features on its GitHub repository, available at <https://github.com/jjk-jacky/anopa>; or visit its official website at <https://jjacky.com/anopa>

AUTHOR

Olivier Brunel <jjk@jjacky.com>